Bug 173250 - headphones work, built-in speakers do not
headphones work, built-in speakers do not
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2005-11-15 12:32 EST by Michael
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-16 07:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael 2005-11-15 12:32:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Installing FC4 on a Dell Latitude D600 laptop. 
After installation, no sound comes from speakers. 
Sound does come from headphones. 

Ran 'yum update' to get all the latest packages ... no difference in behavior. 

Other people report similiar issues on other hardware. 

One can fix this problem using alsamixer ... but the config needs to be repaired so that it is configured to work properly after a clean installation. 

I apologize if this is a duplicate bug. I searched through bugzilla and could not find it. Similar bugs seemed:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC4 on some (many?) laptops with built-in speakers
2. test the sound card using system-config-soundcard
3. observe that there is no sound
4. plug in headphones and hear the sound

Actual Results:  Sound comes only from headphones

Expected Results:  sound also comes from speakers

Additional info:

This email thread discusses this issue:


It tells one to use 'alsa-mixer' to enable 'External Amplifier'. It worked for me, but I don't really understand it. 

I could find no references in bugzilla that this was actually fixed. 
The configuration should be fixed so that the speaker functions properly after a normal installation.
Comment 1 Martin Stransky 2005-11-16 07:48:00 EST
Unfortunately this switch depends on your HW. Some machines need it OFF and some
machines need it ON. There isn't any way how to determine the right state for
your machine (at least I don't know how to do it) so you have to check it.
Upstream works on this issue....
Comment 2 Michael 2005-11-16 09:27:39 EST
> Some machines need it OFF and some machines need it ON. 

Hmmm ... that seems strange to me ... but you are the expert. 

Q: What do you mean by 'Upstream works on this issue ...'
Comment 3 Michael 2005-11-16 09:39:44 EST
> Some machines need it OFF and some machines need it ON. 

Q: What is the behavior if it is in the wrong state? 

Q: Is it the case that some sound hardware needs it OFF to make sound while
other sound hardware needs it ON to make sound? 

Q: Is there any other undesirable behavior (like crashing) if the setting is wrong? 

If having the setting in the wrong state does not do anything particularly bad,
then I recommend an enhancement to 'system-config-sound' so that one can control
the state of this switch from that control panel. I suspect that most people on
RedHat/Fedora systems would go there first. We could add a checkbox to control
this 'External Amplifier' setting ... rather than doing nothing and leaving
people to figure it out on their own. 
Comment 4 Martin Stransky 2005-11-16 09:54:43 EST
People around the ALSA project (www.alsa-project.org) prepare the new mixer
interface which should fix this problem.

The problem is the soundcard has typicaly many outputs and it depends on
designer of your HW which output is connected to headphone, which to "speakers"
and so on... The "External Amplifier" can mean (I only guess) that your card has
some external device to adjust volume for speakers.

If the settings are wrong you don't hear the sound because the channel which is
connected to your output device is suspended. It doesn't have any side effects,
you only hear nothing.
Comment 5 Michael 2005-11-16 10:24:58 EST
OK ... thanks for the followup.

I now understand. 

I have submitted a bug with alsa-project.org and will work with them. 
Comment 6 Michael 2005-11-16 10:26:28 EST
The bug I submitted at alsa-project is:


Note You need to log in before you can comment on or make changes to this bug.